Package org.eclipse.jdt.ui.text.folding

# Class DefaultJavaFoldingStructureProvider.JavaProjectionAnnotation

java.lang.Object
org.eclipse.jface.text.source.Annotation
org.eclipse.jface.text.source.projection.ProjectionAnnotation
org.eclipse.jdt.ui.text.folding.DefaultJavaFoldingStructureProvider.JavaProjectionAnnotation

All Implemented Interfaces:
  `org.eclipse.jface.text.source.IAnnotationPresentation`

Enclosing class:
  `DefaultJavaFoldingStructureProvider`

protected static final class DefaultJavaFoldingStructureProvider.JavaProjectionAnnotation extends org.eclipse.jface.text.source.projection.ProjectionAnnotation
A `ProjectionAnnotation` for java code.

## Field Summary

### Fields inherited from class org.eclipse.jface.text.source.projection.ProjectionAnnotation

`TYPE`

### Fields inherited from class org.eclipse.jface.text.source.Annotation

`TYPE_UNKNOWN`

### Fields inherited from interface org.eclipse.jface.text.source.IAnnotationPresentation

`DEFAULT_LAYER`

## Constructor Summary

Constructors
Constructor
Description
`JavaProjectionAnnotation(boolean isCollapsed, IJavaElement element, boolean isComment)`
Creates a new projection annotation.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class org.eclipse.jface.text.source.projection.ProjectionAnnotation

`getLayer, isCollapsed, markCollapsed, markExpanded, paint, setRangeIndication`

### Methods inherited from class org.eclipse.jface.text.source.Annotation

`getText, getType, isMarkedDeleted, isPersistent, markDeleted, setText, setType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### JavaProjectionAnnotation

public JavaProjectionAnnotation(boolean isCollapsed, IJavaElement element, boolean isComment)
Creates a new projection annotation.

Parameters:
  `isCollapsed` - `true` to set the initial state to collapsed, `false` to set it to expanded
  `element` - the java element this annotation refers to
  `isComment` - `true` for a foldable comment, `false` for a foldable code element

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`